# JSON Schema
## SIP Events
### QueueState
QueueState is an event that indicates to an upstream entity the state of a queue. For the message body json schema (MIME type application/vnd.emergency.queuestate+json) refer to [queuestate.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/queuestate.json)

### AbandonedCall
AbandonedCall is an event to notify a PSAP that a call was started, but then canceled prior to the PSAP knowing the call occurred. For the message body json schema (MIME type application/vnd.emergency.abandonedcall+json) refer to [abandonedcall.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/abandonedcall.json)

### SecurityPosture
SecurityPosture is an event that represents a downstream entity's current security state. For the message body json schema MIME type application/vnd.emergency.securityposture+json) refer to [securityposture.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/securityposture.json)

### ElementState
ElementState is an event that indicates the state of an element either automatically determined, or as determined by management. For the message body json schema (MIME type application/vnd.emergency.elementstate+json) refer to [elementstate.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/elementstate.json)

### ServiceState
ServiceState is an event that indicates the state of service either automatically determined, or as determined by management. For the message body json schema (MIME type application/vnd.emergency.servicestate+json) refer to [servicestate.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/servicestate.json)

## Web Services
### Dequeue Registration
Dequeue Registration is a web service whereby the registering entity becomes one of the dequeuing entities. For the request/response message body json schema (MIME type application/json) refer to [dqregrequest.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/dqregrequest.json) and [dqregresponse.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/dqregresponse.json)

### BadActor
BadActor is a web service to signal the BCF which source is misbehaving. For the request/response message body json schema (MIME type application/json) refer to [badactrequest.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/badactrequest.json) and [badactresponse.json](https://forge.etsi.org/rep/emtel/ts-103-479/json-schema/blob/v1.1.1/badactresponse.json)
